%define upstream_name	 SVK
%define upstream_version v2.2.3

%define _requires_exceptions perl(SVN::Mirror)

Name:       svk
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Decentralized version control system based on Subversion
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://svk.elixus.org/
Source0:    http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     SVK-v2.0.1-fix-SVKMERGE-with-Emacs.patch
Patch1:     SVK-v2.2.3-qw-parenthesis.patch

# For apxs2
BuildRequires: apache-devel
BuildRequires: perl(Algorithm::Annotate)
BuildRequires: perl(Algorithm::Diff) >= 1.190.100
BuildRequires: perl(App::CLI)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Autouse) >= 1.150.0
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Data::Hierarchy) >= 0.300.0
BuildRequires: perl(Encode) >= 2.100.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Spec) >= 3.190.0
BuildRequires: perl(File::Temp) >= 0.170.0
BuildRequires: perl(FreezeThaw)
BuildRequires: perl(Getopt::Long) >= 2.350.0
BuildRequires: perl(IO::Digest)
BuildRequires: perl(IO::Pager)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Locale::Maketext::Lexicon)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Path::Class) >= 0.160.0
BuildRequires: perl(PerlIO::eol) >= 0.130.0
BuildRequires: perl(PerlIO::gzip)
BuildRequires: perl(PerlIO::via::Bzip2)
BuildRequires: perl(PerlIO::via::dynamic) >= 0.110.0
BuildRequires: perl(PerlIO::via::symlink) >= 0.20.0
BuildRequires: perl(Pod::Escapes)
BuildRequires: perl(Pod::Simple)
#BuildRequires: perl(SVN::Mirror) >= 0.710.0
BuildRequires: perl(SVN::Core)
BuildRequires: perl(SVN::Dump)
BuildRequires: perl(SVN::Simple::Edit) >= 0.270.0
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Time::Progress)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(URI)
BuildRequires: perl(YAML::Syck) >= 0.600.0
BuildRequires: perl(version) >= 1:0.680.0
BuildRequires: perl-devel
BuildRequires: shared-mime-info

BuildArch:  noarch

# rpm doesn't find and generate this.
Provides:   perl(SVK::Version)

# not in meta.yml
Requires:   perl(SVN::Core)
Requires:   perl(SVN::Dump)

# package not splitted anymore
Obsoletes:  perl-SVK <= 2.2.3

# broken dep, remove it to prevent possible data corruption
# https://rt.cpan.org/Public/Bug/Display.html?id=51088
Conflicts:  perl(SVN::Mirror) <= 0.75

%description
svk is a decentralized version control system written in Perl.
It uses the subversion filesystem but provides some other powerful features.

It allows you to work in a disconnected fashion with the possibility to merge
back your changes to the main repository.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .emacs
%patch1 -p1 -b .qw-parenthesis

%build
%{__perl} Makefile.PL --skip INSTALLDIRS=vendor
%make

%check
# should be corrected in new version, thanks for rgs for spotting this
export LC_ALL=C
#APXS=/usr/sbin/apxs prove -b t/*.t

# don't leave non-writable directories
chmod -R +w t

%install
rm -rf %{buildroot}
%makeinstall_std

# emacs
install -d %{buildroot}%{_datadir}/emacs/site-lisp
install -m 644 utils/*.el %{buildroot}%{_datadir}/emacs/site-lisp/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ARTISTIC CHANGES COMMITTERS COPYING META.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/SVK.pm
%{perl_vendorlib}/SVK/*
%{_datadir}/emacs/site-lisp/*.el


%changelog
* Thu Dec 19 2013 sander85 <sander85> 2.2.3-7.mga4
+ Revision: 558975
- Fix qw parenthesis

* Fri Oct 18 2013 umeabot <umeabot> 2.2.3-6.mga4
+ Revision: 519371
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.2.3-5.mga3
+ Revision: 383830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 11 2011 jquelin <jquelin> 2.2.3-4.mga1
+ Revision: 68201
- adding missing requires:

* Tue Mar 01 2011 jquelin <jquelin> 2.2.3-3.mga1
+ Revision: 61954
- adding an obsoletes on perl-SVK

* Tue Mar 01 2011 jquelin <jquelin> 2.2.3-2.mga1
+ Revision: 61936
- adding missing buildrequiers:
- prevent possible data corruption
- adding svn::dump support
- svn::mirror is an optional package
- remove %%package split
- imported package svk

